# $Revision: 1.55 $, $Date: 2011/09/01 17:13:28 $
# TODO
# - drop fonts and sun/apple/server stuff as did debian? (read debian/README.debian)
%define	_ver	2.7
%define	_debrel 54
Summary:	Collection of MIME handling utilities
Summary(de.UTF-8):	Sammlung von MIME-Behandlungs-Utilities
Summary(fr.UTF-8):	Ensemble d'utilitaires de gestion MIME
Summary(pl.UTF-8):	Zestaw narzędzi do obsługi standardu MIME
Summary(tr.UTF-8):	MIME işleme araçları
Name:		metamail
Version:	%{_ver}.%{_debrel}
Release:	1
License:	GPL v2
Group:		Applications/Mail
Source0:	mm%{_ver}.tar.Z
# Source0-md5:	fd5617ea87e20d7f2fa839e1d1fede60
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	0ad0e591d536bc4e0d5ae97514ee6cc4
Source2:	htmlview
Source3:	ftp://ftp.debian.org/debian/pool/main/m/metamail/%{name}_%{_ver}-%{_debrel}.diff.gz
# Source3-md5:	2071dc7b9c33345443ab9a619e640a69
Patch0:		%{name}-ncurses.patch
Patch1:		%{name}-pager.patch
Patch2:		%{name}-linux.patch
Patch3:		%{name}-fixawk.patch
Patch4:		%{name}-fonts.patch
Patch5:		%{name}-am.patch
Patch6:		%{name}-suggestedname.patch
Patch7:		%{name}-metasend_mktemp.patch
Patch8:		%{name}-procmail_warning.patch
Patch9:		metamail-2.7.53.3-glibc-2.10.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.0
Requires:	/usr/lib/sendmail
Requires:	mktemp
Requires:	sharutils
Provides:	htmlview
Obsoletes:	htmlview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_fontdir	%{_libdir}/metamail/fonts

%description
Metamail is an implementation of MIME, the Multipurpose Internet Mail
Extensions, a proposed standard for multimedia mail on the Internet.
Metamail implements MIME, and also implements extensibility and
configuration via the "mailcap" mechanism described in an
informational RFC that is a companion to the MIME document.

This version includes Debian patches.

%description -l pl.UTF-8
Metamail obsługuje standard MIME (rozszerzenie poczty internetowej dla
różnych celów) używany do przesyłania pocztą plików multimedialnych.
MIME jest też wykorzystywany do kodowania znaków narodowych w listach
i artykułach news. Metamail jest konfigurowalny poprzez mechanizm
"mailcap" opisany w informacyjnym RFC towarzyszącym dokumentacji MIME.

Ta wersja zawiera łaty z Debiana.

%prep
%setup -q -n mm%{_ver}
cd src

# there's {metamail,richmail} unused in debian patch and metamail is libmetamail sources
# but due debian patch patching (erronously probably) metamail/splitmail.c, we need to keep it first
rm -rf richmail
mv metamail metamail.org
mkdir metamail
mv metamail.org/splitmail.c metamail

%{__gzip} -dc %{SOURCE3} | %{__patch} -p1

# needed as file was created from patching
chmod +x configure

# same as mimeencode
rm man/mmencode.1

cd ..
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0
%patch8 -p1
cd src
%patch9 -p1
cd ..

%build
cd src
%{__aclocal} -I config
%{__libtoolize}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-static
%{__make} -j1
%{__make} -C fonts

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_fontdir},%{_mandir}/man1}

cd src
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install man/* debian/mimencode.1 debian/mimeit.1 $RPM_BUILD_ROOT%{_mandir}/man1

install fonts/*.pcf 	  $RPM_BUILD_ROOT%{_fontdir}
install fonts/fonts.alias $RPM_BUILD_ROOT%{_fontdir}
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}
mkfontdir $RPM_BUILD_ROOT%{_fontdir}

#ln -f $RPM_BUILD_ROOT%{_bindir}/mmencode $RPM_BUILD_ROOT%{_bindir}/mimencode
rm -rf $RPM_BUILD_ROOT%{_includedir}/metamail
rm -f $RPM_BUILD_ROOT%{_libdir}/libmetamail.la

# that site doesn't exist
rm $RPM_BUILD_ROOT{%{_bindir}/patch-metamail,%{_mandir}/man1/patch-metamail.1}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc src/{README,CREDITS,mailers.txt}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libmetamail.so.*.*.*
%{_libdir}/metamail
%{_mandir}/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: metamail.spec,v $
Revision 1.55  2011/09/01 17:13:28  arekm
- up to 2.7.54; add patch fixing getline issue

Revision 1.54  2011/09/01 17:03:13  arekm
- release 6

Revision 1.53  2010/06/04 06:29:09  glen
- adapter

Revision 1.52  2009/05/05 12:32:16  baggins
- rel 5
- fix non-interactive htmlview usage

Revision 1.51  2009/05/05 12:21:06  baggins
- rel 4
- fixed htmlview pipe detection

Revision 1.50  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.49  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.48  2007/01/07 14:22:46  arekm
- rel 3

Revision 1.47  2006/10/03 09:20:52  dzeus
- added procmail_warning.patch (freopen warning with -x option)

Revision 1.46  2006/10/03 07:34:37  dzeus
- up to 2.7.52 (fixed core dumps with -w option)

Revision 1.45  2006/09/08 19:09:42  radek
- release 2: added metasend_mktemp.patch (thanks to Jerome Auge)

Revision 1.44  2006/03/21 13:42:14  glen
- rel 1

Revision 1.43  2006/03/21 13:28:57  qboosh
- updated suggestedname patch is back

Revision 1.42  2006/03/21 12:49:52  qboosh
- updated pl desc
- pass --disable-static instead of removing just built static lib

Revision 1.41  2006/03/18 14:26:58  glen
- updated to debian patches .51
- fixes recent CVE-2006-0709

Revision 1.40  2004/08/09 22:54:55  havner
- rel 36

Revision 1.39  2004/02/19 10:27:20  ankry
- rel. 35, (34 is for ra), STBR

Revision 1.38  2004/02/19 08:21:13  jajcus
- Release: 33
- important security fixes (http://www.securityfocus.com/archive/1/354362 - -security.patch)

Revision 1.37  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.36  2003/05/28 12:59:43  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 05:50:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/02/14 12:02:17  juandon
- added patch #15 (I hope it'll be useful with new builder's automation)
- Release 32 STBR

Revision 1.33  2003/01/11 15:58:37  radek
- fixed Source0 URL

Revision 1.32  2002/11/27 22:06:21  juandon
- new %doc

Revision 1.31  2002/11/12 14:27:46  undefine
- release 31 to rebuild with fixed htmlview(fixed path to more)
- stbr

Revision 1.30  2002/03/15 06:45:13  ankry
- Provides/Obsoletes htmlview, stbr

Revision 1.29  2002/03/13 22:38:26  ankry
- added htmlview - modified RH script
- release 30

Revision 1.28  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:13:49  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/24 20:54:33  juandon
- added missing %lang(fi) and %lang(pl) for man pages

Revision 1.24  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.23  2001/10/16 23:35:52  ankry
- fixed man-pages unpacking

Revision 1.22  2001/10/16 07:26:20  ankry
- added fi, pl man pages
- release 29

Revision 1.21  2001/06/27 16:12:32  qboosh
- BuildRequires: XFree86 (because of mkfontdir)
- mimencode=mmencode - use hardlink instead of duplicated binary
- release 28

Revision 1.20  2001/02/10 05:10:58  kloczek
- release 27,
- merge rawhide patches: usesox, fixpartial, fixawk (in this patch use
  /bin/awk instead /bin/gawk).

Revision 1.19  2000/11/06 08:27:25  kloczek
- release 26,
- merge linux patch from RH,
- use bew rpm automation.

Revision 1.18  2000/07/13 23:14:55  baggins
- release 24
- rebuild with ncurses 5.1

Revision 1.17  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.16  2000/05/31 12:46:32  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.13  1999/11/19 02:53:17  kloczek
- release 23 (in rawhide is 22),
- added nl patch with security fix (from rawhide),
- added Requires: /usr/lib/sendmail (FHS 2.0 tels that this file is link to
  sendmail or any command line compliant MTA),
- reformated text in %description.

Revision 1.12  1999/11/19 01:05:39  pius
- added pl Summary & Group
- added stripping binaries
- added using more rpm macros
- other minor changes
- release++

Revision 1.11  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.10  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

